org.eclipse.wst.jsdt.chromium.debug.ui

## Class TableUtils

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.TableUtils

    public class TableUtils
    extends java.lang.Object

A small set of utils for UI tables.

### Nested Class Summary

Nested Classes
`static class` `TableUtils.ColumnBasedLabelProvider<ROW>` A generic label provider that runs over type-safe column providers.
`static class` `TableUtils.ColumnData<R,C>` A small structure that holds column-related data: column label provider and adapter that gets column-specific field from row element.
`static class` `TableUtils.ColumnLabelProvider<C>` A type column label provider.
`static class` `TableUtils.TrivialAdapter<T>`
`static interface` `TableUtils.ValueAdapter<F,T>`

### Field Summary

Fields
`static IStructuredContentProvider` `OBJECT_ARRAY_CONTENT_PROVIDER` Content provider that simply splits object array into elements.

### Constructor Summary

Constructors
Constructor and Description
`TableUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> TableUtils.ValueAdapter<java.lang.Object,T>` `createCastAdapter(java.lang.Class<T> type)` Creates a ValueAdapter that forces cast from Object to the type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OBJECT_ARRAY_CONTENT_PROVIDER

    public static final IStructuredContentProvider OBJECT_ARRAY_CONTENT_PROVIDER

Content provider that simply splits object array into elements.

### Constructor Detail

#### TableUtils

    public TableUtils()

### Method Detail

#### createCastAdapter

    public static <T> TableUtils.ValueAdapter<java.lang.Object,T> createCastAdapter(java.lang.Class<T> type)

Creates a ValueAdapter that forces cast from Object to the type.